import { AccountInfo } from "@azure/msal-browser";
import { PersonaSize } from "@fluentui/react/lib/Persona";
import { IUserStyles } from "./IUserStyles";
export interface IUserProps {
    userId?: string | undefined;
    showDisplayName?: boolean;
    showSecondaryText?: 'jobTitle' | 'department' | 'mail';
    iconSize?: PersonaSize;
    showHoverCard?: boolean;
    showSignOutButton?: boolean;
    styles?: Partial<IUserStyles>;
    onSignIn?: (account: AccountInfo) => void;
    onError?: (error: Error) => void;
    onSignOut?: () => void;
}
