import { AccountInfo, InteractionStatus } from "@azure/msal-browser";
export declare const useMsalAuth: () => {
    login: (scopes: string[]) => Promise<AccountInfo | null>;
    logout: () => Promise<void>;
    getAccessToken: (account: AccountInfo, scopes: string[]) => Promise<string | undefined>;
    isAuthenticated: boolean;
    instance: import("@azure/msal-browser").IPublicClientApplication;
    inProgress: InteractionStatus;
};
